body, html {
    background-color: #333;
    text-align: center;
    justify-content: center;
    font-family: Arial, Helvetica, sans-serif;
    color: #fff;
    scroll-behavior: smooth;
    align-items: center;
    overflow-x: hidden;
}

h1, h2, h3 {
    scroll-margin-top: 70px;
}

p {
    font-size: 20px;
}

label {
    display: block;
    width: 100%;
    margin-top: 10px;
    margin-bottom: 5px;
    text-align: left;
    color: #555;
    font-weight: bold;
}

.kugelwasser_tag {
    margin-top: 240px;
}

.player_description {
    width: 90%;
    margin-left: 10px;
    font-size: 20px;
}

input {
    display: block;
    width: 100%;
    margin-bottom: 15px;
    padding: 10px;
    box-sizing: border-box;
    border: 1px solid #ddd;
    border-radius: 5px;
}

.wrap {
    display: flex;
    justify-content: center;
    align-items: center;
}

.button-container {
    display: flex;
    justify-content: center;
    margin-top: 20px;
}

.button-container a {
    text-decoration: none;
    color: white;
    padding: 10px 20px;
    margin: 0 10px;
    background-color: #1BD96A;
    border-radius: 5px;
}

.button-container a:hover {
    background-color: #005200;
    transition: transform 0.3s;
    transform: scale(1.1);
}

.button-container a.CurseForge {
    text-decoration: none;
    color: white;
    padding: 10px 20px;
    margin: 0 10px;
    background-color: #26303D; /* Facebook */
    border-radius: 5px;
}

.button-container a.CurseForge:hover {
    background-color: #5e6e83;
    transition: transform 0.3s;
    transform: scale(1.1);
}

.submit{
    padding: 15px;
    border-radius: 10px;
    margin-top: 15px;
    margin-bottom: 15px;
    border: none;
    color: white;
    cursor: pointer;
    background-color: #4CAF50;
    width: 100%;
    font-size: 16px;
}

.headline {
    position: relative;
    display: inline-block;
    overflow: hidden;
    width: 80%;
}

.underlined {
    text-decoration: underline;
}

.code {
    height: 60px;
    width: 80%;
    background-color: transparent;
    border: 1px solid rgba(255, 255, 255, 0.4);
    border-radius: 10px;
    color: white;
    font-size: 24px;
    margin-top: 80px;
    text-align: center;
    margin-left: 10%;
}

.player_head {
    margin-top: 15px;
    height: 200px;
}

.weisermakki {
    height: 200px;
    margin-top: 15px;
}

.RiniMIne {
    height: 200px;
    margin-top: 15px;
}

a {
    color: white;
    font-size: 20px;
}

.rank-info-text {
    margin-left: 3px;
}

.code-sbm {
        background-color: #c9be3b;
        color: black;
        padding: 0 32px;
        height: 50px;
        border: unset;
        font-size: 24px;
        border-radius: 10px;
        box-shadow: 2px 2px 2px rgba(0, 0, 0, 0.8);
        cursor: pointer;
        margin-bottom: 20px;
        transition: background-color 0.3s ease;
        margin-top: 30px;
}

.code-sbm:hover {
    background-color: #333;
    color: white;
}

hr {
    width: 89%;
    margin-top: 30px;
}

.shop_container {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    gap: 20px;
}

.player_container {
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
    gap: 20px;
    width: 100%;
}

.container {
    margin-top: 20px;
    outline: none;
    border-radius: 5px;
    background-color: #7c7c7c;
    width: 230px;
}

.info-container {
    margin-top: 20px;
    outline: none;
    border-radius: 5px;
    background-color: #7c7c7c;
    width: 80%;
}

.container-content {
    margin-top: 10px;
    margin-left: 4px;
    margin-right: 4px;
}

.mvp {
    margin-top: 50px;
    margin-left: 4px;
    margin-right: 4px;
}

.mvp_p {
    margin-top: 25px;
    margin-left: 4px;
    margin-right: 4px;
}

.mvp_pp {
    margin-top: 10px;
    margin-left: 4px;
    margin-right: 4px;
}

h3 {
    text-decoration: none;
    color: white;
}

.buy {
    background-color: #b9b9b9;
    padding: 0 32px;
    height: 60px;
    width: 200px;
    border: unset;
    font-size: 24px;
    border-radius: 10px;
    box-shadow: 2px 2px 2px rgba(0, 0, 0, 0.8);
    cursor: pointer;
    margin-bottom: 20px;
    transition: background-color 0.3s ease;
}

.buy:hover {
    background-color: #000000;
    color: white;
}

.message {
    margin-top: 20px;
    font-size: 1.1em;
    font-weight: bold;
    text-align: center;
}

.success {
    color: green;
}

.error {
    color: red;
}

.button-container a.Fabric {
    background-color: #DBD0B4;
    color: black;
}

.button-container a.Fabric:hover {
    background-color: #aaa18b;
    transition: transform 0.3;
    transform: scale(1.1);
}

.button-container a.Forge {
    margin-left: 30px;
    background-color: #26303D;
    color: white;
    transition: transform 0.5;
    transform: scale(1);
}

.button-container a.Forge:hover {
    margin-left: 30px;
    background-color: #5e6e83;
    transition: transform 0.3;
    transform: scale(1.1);
    color: white;
}

.login-username {
    color: white;
}

.container h3 {
    margin-top: 10px;
}

.container p {
    margin-top: 10px;
}

.fa-asterisk {
    color: rgb(255, 98, 98);
}

select {
    background-color: #7a7a7a;
    color: #fff;
    border: 1px solid #555;
    border-radius: 8px;
    padding: 10px;
    width: 300px;
    font-size: 16px;
    appearance: none; /* Entfernt das Standard-Dropdown-Styling */
    -webkit-appearance: none; /* Für Safari */
    -moz-appearance: none; /* Für Firefox */
    cursor: pointer;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    text-align: center;
    transition: background-color 0.3s ease;
}

.contact-input {
    display: flex;
    justify-content: center;
    margin-top: 20px;
    padding: 10px;
    font-size: 16px;
    border: 2px solid #555;
    border-radius: 8px;
    background-color: #444;
    color: white;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    outline: none;
    transition: border-color 0.3s ease, box-shadow 0.3s ease;
}

select:hover {
    background-color: #353535;
}

.contact-input:hover {
    border-color: #747474;
}

.contact {
    width: 80%;
    margin-left: 10%;
    border: none;
    border-radius: 8px;
}

textarea#description {
    background-color: #7a7a7a;
    border: none;
    border-radius: 8px;
    width: 30%;
    color: #fff;
    font-size: 20px;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    margin-bottom: 20px;
    transition: background-color 0.3s ease;
}

textarea#description:hover {
    background-color: #3b3b3b;
}

.submit-form {
    background-color: #7a7a7a;
    color: #fff;
    font-weight: bolder;
    border: none;
    border-radius: 8px;
    padding: 10px 20px;
    font-size: 16px;
    margin-top: 20px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    width: 50%;
    margin-bottom: 30px;
}

.submit-form:hover {
    background-color: #3b3b3b;
}

.d-none {
    display: none;
}

#snackbar {
    visibility: hidden;
    min-width: 250px;
    margin-left: -125px;
    background-color: #1f1f1f;
    color: #fff;
    text-align: center;
    border-radius: 2px;
    padding: 16px;
    position: fixed;
    z-index: 1;
    left: 50%;
    bottom: 30px;
}
  
#snackbar.show {
    visibility: visible;
    -webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;
    animation: fadein 0.5s, fadeout 0.5s 2.5s;
}

@-webkit-keyframes fadein {
    from {bottom: 0; opacity: 0;}
    to {bottom: 30px; opacity: 1;}
}
  
@keyframes fadein {
    from {bottom: 0; opacity: 0;}
    to {bottom: 30px; opacity: 1;}
}
  
@-webkit-keyframes fadeout {
    from {bottom: 30px; opacity: 1;}
    to {bottom: 0; opacity: 0;}
}
  
@keyframes fadeout {
    from {bottom: 30px; opacity: 1;}
    to {bottom: 0; opacity: 0;}
}

.fa-circle-check {
    color: lightgreen;
}

.navbar {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: #333;
    color: white;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 20px;
    height: 60px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    z-index: 1000;
}

.navbar a {
    color: white;
    text-decoration: none;
    padding: 0 15px;
    font-weight: bold;
    position: relative;
    top: 15px;
}

.navbar .navbar-icons {
    margin-left: auto;
    margin-right: 10px;
}

.navbar .navbar-icons a {
    top: 0;
    margin-right: 20px;
}

.navbar .navbar-icons a:hover {
    color: yellow;
}

.content {
    margin-top: 70px;
    padding: 20px;
}

.openbtn {
    font-size: 30px;
    cursor: pointer;
    background-color: transparent;
    color: white;
    padding: 10px 15px;
    border: none;
    position: fixed;
    z-index: 1000;
    text-align: left;
}

.openbtn:hover {
    color: yellow;
    transition: 0.3 ease;
}

.logo img {
    height: 50px;
    justify-content: center;
    display: flex;
    margin-left: 60px;
}

.sidebar {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 1001;
    top: 0;
    left: 0;
    background-color: rgba(51, 51, 51, 1);
    overflow-x: hidden;
    transition: 0.5s;
    padding-top: 60px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.5);
}

.sidebar a {
    padding: 10px 15px;
    text-decoration: none;
    font-size: 25px;
    color: white;
    display: block;
    transition: 0.3s;
}

.sidebar a:hover {
    color: yellow;
}

.sidebar .closebtn {
    position: absolute;
    top: 0;
    right: 25px;
    font-size: 36px;
    margin-left: 50px;
}

:root { 
    scroll-behavior: smooth; 
    --smaller: .75;
}

.stt {
    position: fixed;
    right: 1rem;
    bottom: 1rem;
    width: 3rem;
    height: 3rem;
    border-radius: 50%;
    background: yellow url("data:image/svg+xml;utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 384 512'%3E%3Cpath fill='currentColor' d='M352 352c-8.188 0-16.38-3.125-22.62-9.375L192 205.3l-137.4 137.4c-12.5 12.5-32.75 12.5-45.25 0s-12.5-32.75 0-45.25l160-160c12.5-12.5 32.75-12.5 45.25 0l160 160c12.5 12.5 12.5 32.75 0 45.25C368.4 348.9 360.2 352 352 352z'%3E%3C/path%3E%3C/svg%3E") center no-repeat;
    box-shadow: 0 0.25rem 0.5rem 0 gray;
    opacity: 0.7;
}

.stt:hover {
    opacity: 0.8;
}

.stt:focus {
    opacity: 0.9;
}

.stt:active {
    opacity: 1;
}

.ban-time {
    color: red;
}

.normal {
    margin-top: 45px;
}

#overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 1000;
    transition: 0.3 ease;
}

#overlay.active {
    display: block;
}

#setting-overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 1000;
    overflow-y: hidden;
}

#setting-overlay.active {
    display: block;
}

.overlay-content {
    background-color: #333;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
    text-align: center;
    max-width: 90%;
    margin-left: 5%;
    max-height: 90%;
    min-height: 70%;
    margin-top: 7%;
}

@media (max-width: 600px) {
    .overlay-content {
        font-size: 1.2rem;
        padding: 15px;
    }
}

@media (max-width: 500px) {
    .overlay-content h1,
    .overlay-content .launch-time,
    .overlay-content .tilt-device
    .overlay-content hr {
        display: none;
    }
}

.tilt-device {
    
}

.overlay-content h3 {
    margin-bottom: 15px;
}

.overlay-content button {
    background-color: #fff;
    padding: 0 32px;
    height: 40px;
    width: 200px;
    border: unset;
    font-size: 24px;
    border-radius: 10px;
    box-shadow: 2px 2px 2px rgba(0, 0, 0, 0.8);
    cursor: pointer;
    margin-bottom: 20px;
    margin-top: 20px;
    transition: background-color 0.3s ease;
}

.overlay-content button:hover {
    background-color: yellow;
}

.switch {
    position: relative;
    display: inline-block;
    width: 60px;
    height: 34px;
}
  
.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}
  
.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    -webkit-transition: .4s;
    transition: .4s;
}
  
.slider:before {
    position: absolute;
    content: "";
    height: 26px;
    width: 26px;
    left: 4px;
    bottom: 4px;
    background-color: white;
    -webkit-transition: .4s;
    transition: .4s;
}
  
input:checked + .slider {
    background-color: #2196F3;
}
  
input:focus + .slider {
    box-shadow: 0 0 1px #2196F3;
}
  
input:checked + .slider:before {
    -webkit-transform: translateX(26px);
    -ms-transform: translateX(26px);
    transform: translateX(26px);
}
  
.slider.round {
    border-radius: 34px;
}
  
.slider.round:before {
    border-radius: 50%;
}

#countdownOverlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 1000;
    justify-content: center;
    align-items: center;
}

#countdownOverlay.active {
    display: block;
}

.launch-time {
    display: flex;
    justify-content: center;
    margin-top: -60px;
}

.launch-time div {
    flex-basis: 100px;
}

.launch-time div p {
    font-size: 60px;
    margin-bottom: 10px;
}

.fa-check {
    color: green;
}